ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: [IMPORTANT!] Fix Ant 1.5 Support for JAXP [Was: XMLCatalog.java -- patch breaks bootstrap.bat Yikes!]
Date Mon, 27 May 2002 09:02:07 GMT
On Sun, 26 May 2002, Erik Hatcher <jakarta-ant@ehatchersolutions.com>
wrote:

> From: "Conor MacNeill" <conor@cortexebusiness.com.au>
> 
>> 3. Should Xalan be required for bootstrap?
>>
>> No. IMHO, we should keep the bootstrap requirements to an absolute
>> minimum. This needs to be fixed.
> 
> Craeg, Conor - could you let me know what needs to be done to fix
> it?

Of course I'm with Conor here 8-)

There are currently two classes that make bootstrap depend on TraX,
XMLCatalog and XSLTProcess - moving XMLCatalog to types.optional would
work, but XSLTProcess is harder to fix.

Note that we've carefully avoided all TraX dependencies in <style> by
inventing XSLTLogger instead of using ErrorLogger directly.  We are
not ready to give up the non-trax implementations for <style> yet, so
we better don't make <style> depend on it.

Taking reflection a step further will probably help 8-).

I'll look into this.

Stefan

--
To unsubscribe, e-mail:   <mailto:ant-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-dev-help@jakarta.apache.org>


Mime
View raw message